# Generated by Django 3.2.16 on 2023-04-12 13:16

from django.db import migrations, models
import django.db.models.deletion
import labrique.core.models
import labrique.core.validators
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtail_cblocks.blocks


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0078_referenceindex'),
        ('wagtailimages', '0024_index_image_file_hash'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='name')),
                ('slug', models.SlugField(allow_unicode=True, max_length=100, unique=True, verbose_name='slug')),
            ],
            options={
                'verbose_name': 'Auteur',
                'verbose_name_plural': 'Auteurs',
            },
        ),
        migrations.CreateModel(
            name='HomePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('info_1_title', models.CharField(blank=True, max_length=128, verbose_name='titre')),
                ('info_1_text', wagtail.fields.RichTextField(blank=True, verbose_name='texte')),
                ('info_2_title', models.CharField(blank=True, max_length=128, verbose_name='titre')),
                ('info_2_text', wagtail.fields.RichTextField(blank=True, verbose_name='texte')),
            ],
            options={
                'verbose_name': "page d'accueil",
                'verbose_name_plural': "pages d'accueil",
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='NumerosList',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
            ],
            options={
                'verbose_name': 'Liste de numéros',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='Rubrique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, verbose_name='nom')),
            ],
        ),
        migrations.CreateModel(
            name='StandardPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('body', wagtail.fields.StreamField([('title_block', wagtail.blocks.StructBlock([('text', wagtail.blocks.CharBlock(form_classname='title', label='Title')), ('level', wagtail.blocks.ChoiceBlock(choices=[(2, 'Titre de niveau 2'), (3, 'Titre de niveau 3'), (4, 'Titre de niveau 4'), (5, 'Titre de niveau 5')], label='Level'))])), ('paragraph_block', wagtail_cblocks.blocks.ParagraphBlock()), ('image_block', wagtail.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.blocks.CharBlock(label='Caption', required=False)), ('link', wagtail.blocks.StructBlock([('target', wagtail.blocks.StreamBlock([('page', wagtail.blocks.PageChooserBlock(icon='doc-empty-inverse', label='Page')), ('document', wagtail.documents.blocks.DocumentChooserBlock(icon='doc-full', label='Document')), ('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('url', wagtail.blocks.URLBlock(label='External link')), ('anchor', wagtail.blocks.CharBlock(help_text='Une ancre dans la page courante, par exemple : <code>#id-cible</code>.', label='Anchor link'))], required=False))], required=False))])), ('columns_block', wagtail.blocks.StructBlock([('columns', wagtail.blocks.ListBlock(wagtail.blocks.StreamBlock([('title_block', wagtail.blocks.StructBlock([('text', wagtail.blocks.CharBlock(form_classname='title', label='Title')), ('level', wagtail.blocks.ChoiceBlock(choices=[(2, 'Titre de niveau 2'), (3, 'Titre de niveau 3'), (4, 'Titre de niveau 4'), (5, 'Titre de niveau 5')], label='Level'))])), ('paragraph_block', wagtail_cblocks.blocks.ParagraphBlock()), ('image_block', wagtail.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.blocks.CharBlock(label='Caption', required=False)), ('link', wagtail.blocks.StructBlock([('target', wagtail.blocks.StreamBlock([('page', wagtail.blocks.PageChooserBlock(icon='doc-empty-inverse', label='Page')), ('document', wagtail.documents.blocks.DocumentChooserBlock(icon='doc-full', label='Document')), ('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('url', wagtail.blocks.URLBlock(label='External link')), ('anchor', wagtail.blocks.CharBlock(help_text='Une ancre dans la page courante, par exemple : <code>#id-cible</code>.', label='Anchor link'))], required=False))], required=False))]))]), collapsed=True, form_classname='columns-block-list', label='Columns')), ('horizontal_align', wagtail.blocks.ChoiceBlock(choices=[('start', 'Left'), ('center', 'Center'), ('end', 'Right')], label='Horizontal alignment', required=False))]))], blank=True, use_json_field=True, verbose_name='contenu de la page')),
            ],
            options={
                'verbose_name': 'page standard',
                'verbose_name_plural': 'pages standards',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('standardpage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.standardpage')),
                ('chapeau', wagtail.fields.RichTextField(blank=True)),
                ('page_number', models.CharField(help_text="Le numéro de page au sein du journal papier. Si l'article s'étend sur plusieurs pages, vous devez les séparer avec un tiret", max_length=16, validators=[labrique.core.validators.RangePageValidator], verbose_name='numero(s) de page(s)')),
                ('breve', models.BooleanField(default=False, help_text="Détermine si l'article est une brève ou non", verbose_name='brève')),
            ],
            options={
                'abstract': False,
            },
            bases=('core.standardpage',),
        ),
        migrations.CreateModel(
            name='SiteSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('main_menu_links', wagtail.fields.StreamField([('Lien', wagtail.blocks.StructBlock([('texte', wagtail.blocks.CharBlock()), ('lien', wagtail.blocks.StructBlock([('target', wagtail.blocks.StreamBlock([('page', wagtail.blocks.PageChooserBlock(icon='doc-empty-inverse', label='Page')), ('document', wagtail.documents.blocks.DocumentChooserBlock(icon='doc-full', label='Document')), ('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('url', wagtail.blocks.URLBlock(label='External link')), ('anchor', wagtail.blocks.CharBlock(help_text='Une ancre dans la page courante, par exemple : <code>#id-cible</code>.', label='Anchor link'))], required=True))], required=True))]))], blank=True, use_json_field=True, verbose_name='Liens du menu princial')),
                ('footer_links', wagtail.fields.StreamField([('Liens', wagtail.blocks.StructBlock([('title', wagtail.blocks.CharBlock(label='Titre', required=True)), ('links', wagtail.blocks.ListBlock(wagtail.blocks.StructBlock([('texte', wagtail.blocks.CharBlock()), ('lien', wagtail.blocks.StructBlock([('target', wagtail.blocks.StreamBlock([('page', wagtail.blocks.PageChooserBlock(icon='doc-empty-inverse', label='Page')), ('document', wagtail.documents.blocks.DocumentChooserBlock(icon='doc-full', label='Document')), ('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('url', wagtail.blocks.URLBlock(label='External link')), ('anchor', wagtail.blocks.CharBlock(help_text='Une ancre dans la page courante, par exemple : <code>#id-cible</code>.', label='Anchor link'))], required=True))], required=True))]), label='Liens'))]))], blank=True, use_json_field=True, verbose_name='Liens du pied de page haut')),
                ('footer_bottom_text', wagtail.fields.RichTextField(blank=True, verbose_name='Infos')),
                ('footer_bottom_links', wagtail.fields.StreamField([('Liens', wagtail.blocks.ListBlock(wagtail.blocks.StructBlock([('texte', wagtail.blocks.CharBlock()), ('lien', wagtail.blocks.StructBlock([('target', wagtail.blocks.StreamBlock([('page', wagtail.blocks.PageChooserBlock(icon='doc-empty-inverse', label='Page')), ('document', wagtail.documents.blocks.DocumentChooserBlock(icon='doc-full', label='Document')), ('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('url', wagtail.blocks.URLBlock(label='External link')), ('anchor', wagtail.blocks.CharBlock(help_text='Une ancre dans la page courante, par exemple : <code>#id-cible</code>.', label='Anchor link'))], required=True))], required=True))])))], blank=True, use_json_field=True, verbose_name='Liens du pied de page bas')),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Numero',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('journal_numero', models.PositiveSmallIntegerField(blank=True, default=labrique.core.models.get_futur_num, null=True, unique=True, verbose_name='Numéro')),
                ('publish_date', models.DateField(blank=True, help_text='Date à laquelle le journal est paru', null=True, verbose_name='Date de parution')),
                ('image', models.ForeignKey(blank=True, help_text='Image de la une du journal', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='IllustratorTaggedArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='illustrated_articles', to='core.author', verbose_name='auteurs')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='illustrated_items', to='core.article')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AuthorTaggedArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='authored_articles', to='core.author', verbose_name='auteurs')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='authored_items', to='core.article')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='article',
            name='auteurs',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text="Une liste d'auteurs", related_name='author_articles', through='core.AuthorTaggedArticle', to='core.Author', verbose_name='auteurs'),
        ),
        migrations.AddField(
            model_name='article',
            name='illustrateurs',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text="Une liste d'illustrateurs", related_name='illustrator_articles', through='core.IllustratorTaggedArticle', to='core.Author', verbose_name='illustrateurs'),
        ),
        migrations.AddField(
            model_name='article',
            name='image',
            field=models.ForeignKey(blank=True, help_text="Illustration de l'article", null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image'),
        ),
        migrations.AddField(
            model_name='article',
            name='rubrique',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.rubrique'),
        ),
    ]
