from wagtail.core.models import Site

import pytest

from ..models import HomePage
from .factories import ArticleFactory, HomePageFactory, NumeroFactory


@pytest.fixture
def home_page():
    site = Site.objects.get(is_default_site=True)
    if not isinstance(site.root_page, HomePage):
        site.root_page = HomePageFactory()
        site.save()
    return site.root_page


@pytest.fixture
def numeros(home_page):
    return NumeroFactory.create_batch(2, parent=home_page)


@pytest.fixture
def articles(numeros):
    return ArticleFactory.create_batch(3, parent=numeros[0])
