import factory
from wagtail_factories import PageFactory

from ..models import Article, HomePage, Numero


class HomePageFactory(PageFactory):
    title = "Accueil"

    class Meta:
        model = HomePage


class NumeroFactory(PageFactory):
    journal_numero = factory.Sequence(int)
    title = factory.LazyAttribute(lambda o: f'Le numéro {o.journal_numero}')

    class Meta:
        model = Numero


class ArticleFactory(PageFactory):
    title = factory.Faker('sentence')
    chapeau = factory.Faker('sentence')
    page_number = factory.Iterator(['1', '2', '3-5'])

    class Meta:
        model = Article
