from django.core.exceptions import ValidationError
from django.core.validators import RegexValidator
from django.utils.deconstruct import deconstructible


@deconstructible
class RangePageValidator(RegexValidator):
    regex = r'^[0-9]*$|^[0-9]+\-[0-9]+$'

    def __call__(self, value):
        super().__call__(value)
        if '-' in value:
            first, last = value.split('-')
            if not int(first) < int(last):
                raise ValidationError(
                    "La première page doit être inférieure à la dernière"
                )
