from wagtail.contrib.modeladmin.options import ModelAdmin, modeladmin_register

from .models import Author, Rubrique


class AuthorAdmin(ModelAdmin):
    model = Author
    menu_label = 'Auteurs'  # ditch this to use verbose_name_plural from model
    menu_icon = 'user'  # change as required
    menu_order = 200  # will put in 3rd place (000 being 1st, 100 2nd)
    add_to_admin_menu = True  # or False to exclude your model from the menu
    list_display = ('name',)
    search_fields = ('name',)


class RubriqueAdmin(ModelAdmin):
    model = Rubrique
    menu_icon = 'folder-open-1'


modeladmin_register(AuthorAdmin)
modeladmin_register(RubriqueAdmin)
