/** @type {import('tailwindcss').Config} */
const defaultTheme = require('tailwindcss/defaultTheme')

module.exports = {
  content: [
    "./styleguide/**/*.{html,js}",
    "./labrique/templates/**/*.{html,svg}"
  ],
  safelist: [
    // generated by user through block template
    'lg:grid-cols-1',
    'lg:grid-cols-2',
    'lg:grid-cols-3',
    'lg:grid-cols-4',
    'lg:grid-cols-5',
    'lg:grid-cols-6',
    'lg:grid-cols-7',
    'lg:grid-cols-8',
  ],
  theme: {
    colors: {
      transparent: 'transparent',
      current: 'currentColor',
      'white': '#ffffff',
      'black': '#000',
      'grey': '#c9c9c9',
      'grey-light': '#e5e5e5',
      'red': '#c00218',
      'red-light': '#f9e5e5',
    },
    fontFamily: {
      sans: 'Linux Biolinum',
      serif: 'Linux Libertine',
    },
    screens: {
      'xs': '360px',
      ...defaultTheme.screens,
    },
  },
  plugins: [],
}
